Subject: bug#28159: Closing bug #28159? Updater needs to support HTTP(S) servers

From: Brice Waegeneire <[email-masked]>
Date: Wed, 29 Apr 2020 08:21:56 +0000

Hello Guix,

It looks like now most of the major updaters that relied on FTP (GNU,
kernel.org, KDE and Gnbome) now support HTTP(S). I think we can close 
this
bug.

Ludovic Courtès wrote on Tue Aug 22 10:57:20+0200 2017:
> More precisely, several updaters rely on FTP (gnu, kernel.org, kde,
> etc. see (guix gnu-maintenance)), but others rely on structured data
> retrieved over HTTP(S) (pypi, cran, elpa, etc.)

Ludovic Courtès wrote on Sun Sep 03 23:40:18+0200 2017:
> This one is nice and smaller than ‘ls-lR’.  I reimplemented the GNU
> updater in terms of this file, and kept the previous FTP-based updater
> around for GNU packages not hosted on ftp.gnu.org:

Ludovic Courtès wrote on Tue Sep 26 00:39:54+0200 2017:
> Commit c1d8b3b3b5af8282328b87dd7a8d09357cbb0af7 rewrites the GNOME
> updater in terms of the ‘cache.json’ files that can be found in each
> package directory at <https://ftp.gnome.org/pub/gnome/sources>.

Ludovic Courtès wrote on Sat Nov 10 23:38:16+0100 2018:
> Commit 5230dce154a8861d806fcd667f2d424def571ed6 rewrites the kernel.org
> updater so that it’s based on an analysis of HTML directory listings
> such as <https://cdn.kernel.org/pub/software/scm/git/>.

Hartmut Goebel wrote on Tue Sep 10 19:25:58+0200 2019:
> For the records: KDE no longer relies on FTP access. It now fetches the
> ls-lR.bz2 file list using HTTPS from download.kde.org, converts it into
> a list of file paths and caches the list.

- Brice